Name:         xenner
License:      GPLv2+
Version:      0.46
Release:      3%{?dist}
Summary:      Xen emulator for kvm
Group:        Applications/Emulators
Source0:      %{name}-%{version}.tar.gz
Patch0:       %{name}-noidlestats.diff
URL:          http://dl.bytesex.org/releases/%{name}/%{name}-%{version}.tar.gz
Requires:     xen-runtime
Provides:     xen-hypervisor-abi = 3.2
Buildroot:    %{_tmppath}/root-%{name}-%{version}-%{release}
ExclusiveArch: i386 i686 x86_64
BuildRequires: xen-devel
BuildRequires: e2fsprogs-devel
BuildRequires: libaio-devel
BuildRequires: zlib-devel
BuildRequires: python util-linux-ng
BuildRequires: /usr/include/gnu/stubs-32.h

%description
xenner is a utility which is able to boot xen paravirtualized kernels,
without the xen hypervisor, using kvm instead.

%prep
%setup -q
%patch0 -p0

%build
export CFLAGS="%{optflags}"
CFLAGS="${CFLAGS//-fstack-protector/}"	# incompatible
make prefix="%{_prefix}"

%install
rm -rf %{buildroot}
make prefix="%{_prefix}" DESTDIR=%{buildroot} STRIP="" install
chmod 644 vivm # make rpmlint happy (this goes to %doc)

%files
%defattr(-,root,root)
%doc COPYING
%doc README USAGE TODO MANAGEMENT NETWORKING GUEST_SUPPORT
%doc Testinstall vivm *.xml *.html *.css
%dir %{_libdir}/xenner
/etc/rc.d/init.d/xenner
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/xenner/*

%post
chkconfig --add xenner

%preun
if test "$1" = "0"; then
    chkconfig --del xenner
fi

%clean
rm -rf %{buildroot}

%changelog
* Fri Sep 26 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.46-3.fc10
- don't update empty stats file (rhbz #468434).
* Fri Sep 26 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.46-1.fc10
- update to version 0.46
* Thu Sep 24 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.45-1.fc10
- update to version 0.45
* Thu Sep 4 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.44-1.fc10
- update to version 0.44
* Mon Sep 1 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.43-1.fc10
- update to version 0.43
* Fri Aug 29 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.42-1.fc10
- update to version 0.42
* Mon Jul 21 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.41-1.fc10
- update to version 0.41
  * 64-bit smp fix merged.
  * some more minor fixes.
* Thu Jul 17 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.40-2.fc10
- fix smp on 64-bit.
* Thu Jul 17 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.40-1.fc10
- update to version 0.40
  * rework xenner <=> emu interfaces.
  * emu*.elf symbol tables not needed any more.
  * usual set of bug fixes.
- drop debuginfo hack.
* Fri Jul 11 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.39-1.fc10
- update to version 0.39
- avoid emu*.elf getting stripped
* Mon Jul 2 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.38-1.fc10
- update to version 0.38
* Mon Jun 9 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.37-1.fc10
- update to version 0.37
  - make fedora 9 and opensuse 10.3 guests fly.
- update %doc filelist.
* Fri Jun 6 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.36-1.fc10
- update to version 0.36
  - lots of little fixes and tweaks.
* Mon May 19 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.35-1.fc10
- update to version 0.35
  - Fix tap leak in failure path (rhbz #446138).
  - Add "info cpus" monitor command (rhb #446986).
  - Add -S command line switch (rhbz #446985).
  - Fix cpuid emulation (fixes F9 i386 install hang).
  - Some libvirt integration tweaks.
  - Misc minor fixes and improvements.
* Tue May 13 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.34-1.fc10
- update to version 0.34
  - wire up -drive cmd line arg (rhbz #445968).
  - accept & ignore -serial and -parallel (rhbz #445969).
  - implement stop & cont monitor commands (rhbz #446079).
* Thu May 8 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.33-1.fc10
- update to version 0.33
  - implement correct iopl handling (uncrash kudzu).
  - misc fixes.
* Mon May 5 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.32-1.fc10
- update to version 0.32
  - guest irq balancing.
  - misc fixes.
* Wed Apr 23 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.31-1.fc10
- update to version 0.31
  - smp guest support.
  - fixed tcp/udp checksumming.
  - misc minor fixes.
* Fri Apr 11 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.29-1.fc9
- update to version 0.29
  - merge Daniels fixes.
  - fixed init script translation tagging (rhbz #438106).
  - fixed missing bits to make f9 pv_ops kernel boot (rhbz #439010).
  - add -bootloader cmd line option, add docs (rhbz #435061).
  - use kvms in-kernel lapic/ioapic for irqs and events.
  - use separate threads for I/O handling and vcpus.
- fixed cr4 setup for mmx/sse support (rhbz #441902).

* Wed Mar 12 2008 Daniel P. Berrange <berrange@redhat.com> - 0.25-5.fc9
- Use ifname= arg to get TAP device name
- Detect and ignore the -k option & its arg

* Wed Feb 27 2008 Daniel P. Berrange <berrange@redhat.com> - 0.25-4.fc9
- Fix TUN device detection (rhbz #435131)
- Don't capture stderr to hardcoded logfile (rhbz #435137)
- Workaround for missing xc_map_foreign_pages API (rhbz #435158)
- Fix detection of libxenctrl compat for PVFB 

* Mon Feb 4 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.25-3.fc9
- adapt dependencies for xen package split.
* Fri Feb 1 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.25-2.fc9
- buildfix (add memset to emu).
* Fri Feb 1 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.25-1.fc9
- update to version 0.25.
  - fix soname for xen 3.2.0 compatibility.
  - fix xenstored sigbus.
  - lot of core reorganization, preparing for SMP.
* Fri Jan 25 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.23-1.fc9
- update to version 0.23.
  - new -libvirt-caps cmd line switch.
* Wed Jan 23 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.22-4.fc9
- add util-linux-ng build dependency.
* Wed Jan 23 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.22-3.fc9
- drop kernel-devel build dependency.
* Wed Jan 23 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.22-2.fc9
- fix rpmlint warning on vivm script.
- add ExclusiveArch for x86.
- fix filelist (package should own $libdir/xenner).
- fix preun to handle upgrades correctly.
* Tue Jan 22 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.22-1.fc9
- initial release.
